#!/bin/bash


average() {
    #
    # Get the average from numbers (one number per line)
    #
    perl -e '
        my $cnt = $sum = 0;
        while (<>) {
            next unless /\d+/;
            $cnt += 1;
            $sum += $_;
        }
        print $sum / $cnt;
        print "\n";
    '
}


trim() {
    #
    # Remove statistical error by trimming
    #
    # sort numbers and throw away $1 % of biggest
    # and same no. of smallest items
    #
    local pct=${1:-10}
    local tmp=$(mktemp)
    cat > $tmp
    local c_all=$(cat $tmp | wc -l)
    debug -v c_all pct
    set -x
    local offset=$(( ( c_all * $pct ) / 100 ))
    set +x
    debug -v offset
    cat $tmp \
        | sort -g \
        | head -n -$offset \
        | tail -n +$((offset + 1))
    rm -f $tmp
}

