#!/bin/bash


FFOO_TMP=${FFOO_TMP:-}


tmp_export() {
    #
    # Create and export shared tempdir for subprocesses
    #
    if test -n "$FFOO_TMP";
    then
        debug "inherited temp dir:"
    else
        local me="$(basename $0)"
        export FFOO_TMP="/tmp/$(mktemp -d "ffoo_tmp.$me.$$.XXXXXXXXXX")"
        debug "new temp dir:"
    fi
    debug -v FFOO_TMP
}

tmp_mark_deleted() {
    #
    # Remove tmp only if this PID created it
    #
    local x="${FFOO_TMP%.*}"
    local tmppid="${x##*.}"     # the PID who created the tmp
    debug -v tmppid
    if test "$tmppid" == $$;
    then
        rm -rf "$FFOO_TMP"
        FFOO_TMP=
    fi
    return 0
}
